#!/bin/sh

sh op_funcs.sh plogical NhlTPBoolean NhlTPBooleanGenArray -1 > .tmp.$$

if [ ! $? ]
then
	exit $?
fi

sed \
-e 's/PRINTFORMAT/\%f\\n/' \
-e '/PRINTFORMAT/d' \
-e 's/DATATYPE/plogical/g' \
-e 's/LOCALTYPE/double/g' \
-e 's/HLUTYPEREP/NhlTPBoolean/g' \
-e 's/HLUGENTYPEREP/NhlTPBooleanGenArray/g' \
-e 's/DEFAULT_MISS/-1/g' \
-e 's/DEFAULT_MISS/%f/g' \
-e "/REPLACE/r .tmp.$$" \
-e '/REPLACE/d' \
-e '/DSPECIFIC/r NclTypeplogical.c.specific' \
-e '/DSPECIFIC/d' \
-e 's/Ncl_Type_plogical_mat_type/NULL/' \
-e 's/Ncl_Type_plogical_mat/NULL/' \
-e 's/Ncl_Type_plogical_mod_type/NULL/' \
-e 's/Ncl_Type_plogical_mod/NULL/' \
-e 's/Ncl_Type_plogical_divide_type/NULL/' \
-e 's/Ncl_Type_plogical_divide/NULL/' \
-e 's/Ncl_Type_plogical_multiply_type/NULL/' \
-e 's/Ncl_Type_plogical_multiply/NULL/' \
-e 's/Ncl_Type_plogical_plus_type/NULL/' \
-e 's/Ncl_Type_plogical_plus/NULL/' \
-e 's/Ncl_Type_plogical_minus_type/NULL/' \
-e 's/Ncl_Type_plogical_minus/NULL/' \
-e 's/Ncl_Type_plogical_exponent_type/NULL/' \
-e 's/Ncl_Type_plogical_exponent/NULL/' \
-e 's/Ncl_Type_plogical_sel_lt_type/NULL/' \
-e 's/Ncl_Type_plogical_sel_lt/NULL/' \
-e 's/Ncl_Type_plogical_sel_gt_type/NULL/' \
-e 's/Ncl_Type_plogical_sel_gt/NULL/' \
-e 's/Ncl_Type_plogical_neg_type/NULL/' \
-e 's/Ncl_Type_plogical_neg/NULL/' \
-e 's/Ncl_Type_plogical_gt_type/NULL/' \
-e 's/Ncl_Type_plogical_gt/NULL/' \
-e 's/Ncl_Type_plogical_lt_type/NULL/' \
-e 's/Ncl_Type_plogical_lt/NULL/' \
-e 's/Ncl_Type_plogical_ge_type/NULL/' \
-e 's/Ncl_Type_plogical_ge/NULL/' \
-e 's/Ncl_Type_plogical_le_type/NULL/' \
-e 's/Ncl_Type_plogical_le/NULL/' \
-e 's/Ncl_Type_plogical_is_mono/NULL/' \
-e 's/Ncl_Type_plogical_cmpf/NULL/' \
NclType.c.sed > NclTypeplogical.c

rm .tmp.$$

echo "created NclTypeplogical.c"

exit 0
